Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project
Interface CopyOperationImplementation

All Superinterfaces:
  DataFilesProviderImplementation

    public interface CopyOperationImplementation

extends DataFilesProviderImplementation

Project Copy Operation. Allows to gather information necessary for project copy and also provides callbacks to the project type to handle special checkpoints during the copy process. An implementation of this interface may be registered in the project's lookup to support copy operation in the following cases:

- The project type wants to use the `DefaultProjectOperationsImplementation` to perform the copy operation.
- If this project may be part of of a compound project (like EJB project is a part of a J2EE project), and the compound project wants to copy all the sub-projects.

The project type is not required to put an implementation of this interface into the project's lookup if the above two cases should not be supported.

Since:
  1.7

Method Summary
`void` | `notifyCopied(Project original, File originalPath, String nueName)` Notification that the copy operation has finished.
`void` | `notifyCopying()` Pre-copy notification.

Methods inherited from interface org.netbeans.spi.project.DataFilesProviderImplementation
`getDataFiles, getMetadataFiles`

Method Detail

### notifyCopying

    void notifyCopying()
                       throws IOException

  Pre-copy notification. The exact meaning is left on the project implementors, but typically this means to undeloy the application and remove all artifacts created by the build project.

  Throws:
    `IOException` - if an I/O operation fails.

### notifyCopied

    void notifyCopied(Project original,
                      File originalPath,
                      String nueName)
                      throws IOException

  Notification that the copy operation has finished. Is supposed to fix the newly created (copied) project into the correct state (including changing its display name to nueName). Should be called on both original and newly created project (in this order).

  Parameters:
    `original` - `null` when called on the original project, the original project when called on the new project
    `originalPath` - the project folder of the original project (for consistency with MoveOperationImplementation.notifyMoved)
    `nueName` - new name for the newly created project.
  Throws:
    `IOException` - if an I/O operation fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.